---
template: index.html
title: Minimalistische, leistungsstarke und extrem anpassbare Zsh Prompt
hide:
  - navigation
hero:
  title: Minimalistische, leistungsstarke und extrem anpassbare Zsh Prompt
  subtitle: Sie vereint alles, was du für bequeme Arbeit benötigst, ohne unnötige Komplikationen, wie ein echtes Raumschiff.
  install_button: Erste Schritte
  source_button: Quellcode
features:
  -
    title: Ganz einfach
    image: /assets/images/what-is-needed.svg
    description: Die Eingabeaufforderung ist nicht überladen, sie zeigt nur, was du im Moment benötigst (aktuelles Verzeichnis, Git Branch, etc).
  -
    title: Leicht einzurichten
    image: /assets/images/out-of-the-box.svg
    description: Die Eingabeaufforderung funktioniert direkt nach der Installation ohne zusätzliche Konfiguration. Installieren und verwenden.
  -
    title: Konfigurierbar
    image: /assets/images/configurable.svg
    description: Die Eingabeaufforderung ist ohne Konfiguration nutzbar, bietet aber, sofern gewünscht, eine einfache Möglichkeit der Anpassung.
companies:
  title: Täglich von wundervollen Leuten benutzt
  list:
    -
      name: Wix
      logo: https://cdn.svgporn.com/logos/wix.svg
    -
      name: Google
      logo: https://cdn.svgporn.com/logos/google.svg
    -
      name: Siemens
      logo: https://upload.wikimedia.org/wikipedia/commons/5/5f/Siemens-logo.svg
    -
      name: Microsoft
      logo: https://cdn.svgporn.com/logos/microsoft.svg
    -
      name: Adobe
      logo: https://upload.wikimedia.org/wikipedia/commons/6/6e/Adobe_Corporate_logo.svg
    -
      name: Docker
      logo: https://cdn.svgporn.com/logos/docker.svg
    -
      name: Shopify
      logo: https://upload.wikimedia.org/wikipedia/commons/0/0e/Shopify_logo_2018.svg
    -
      name: GitHub
      logo: https://cdn.svgporn.com/logos/github.svg
    -
      name: Red Hat
      logo: https://cdn.svgporn.com/logos/redhat.svg
    -
      name: Amazon Web Services
      logo: https://cdn.svgporn.com/logos/aws.svg
    -
      name: Facebook
      logo: https://cdn.worldvectorlogo.com/logos/facebook-7.svg
    -
      name: npm
      logo: https://cdn.svgporn.com/logos/npm.svg
    -
      name: Unity Technologies
      logo: https://cdn.worldvectorlogo.com/logos/unity-technologies-logo.svg
    -
      name: Angular
      logo: https://cdn.svgporn.com/logos/angular.svg
    -
      name: Mozilla
      logo: https://cdn.svgporn.com/logos/mozilla.svg
    -
      name: Framer
      logo: https://cdn.svgporn.com/logos/framer.svg
    -
      name: Grammarly
      logo: https://cdn.svgporn.com/logos/grammarly.svg
    -
      name: Skyscanner
      logo: https://upload.wikimedia.org/wikipedia/commons/9/94/Skyscanner_Logo_LockupHorizontal_SkyBlue_RGB.svg
    -
      name: Node.js
      logo: https://cdn.svgporn.com/logos/nodejs.svg
    -
      name: Vue Storefront
      logo: https://cdn.worldvectorlogo.com/logos/vue-storefront.svg
    -
      name: Coinbase
      logo: https://cdn.worldvectorlogo.com/logos/coinbase-1.svg
    -
      name: Suse
      logo: https://cdn.svgporn.com/logos/suse.svg
---

# Willkommen an Bord, Astronaut!

[![SWUbanner](https://raw.githubusercontent.com/vshymanskyy/StandWithUkraine/main/banner-direct-single.svg)](https://stand-with-ukraine.pp.ua)

<div class="terminal-demo">
  <script id="asciicast-513451" src="https://asciinema.org/a/513451.js" data-autoplay="true" data-loop="true" data-preload="true" async></script>
  <noscript>
    <object class="asciicast" type="image/svg+xml" data="/assets/images/spaceship-demo.svg">
      <img src="/assets/images/spaceship-demo.gif" alt="Spaceship Demo" />
    </object>
  </noscript>
</div>

## Funktionen

**Spaceship** ist eine Zsh-Prompt mit Superkräften. Die Prompt ist das, was du siehst, wenn du einen Befehl eingibst. Es zeigt viele nützliche Tipps, spart Zeit und macht das Benutzererlebnis reibungslos und angenehm.

Hier sind ein paar Tipps, was **Spaceship** anzeigen kann:

- Intelligente Anzeige des Hostnamen und Benutzernamen
- Repository Status (Git und Mercurial werden unterstützt)
- Details zu Laufzeitumgebungen verschiedener Sprachen (Node.js, Rust, Python, Ruby, Swift, Go, PHP und viele weitere)
- Docker Version, Kubernetes Kontext und verbundene Maschinen
- Paketversion (npm, lerna, cargo, composer und andere)
- Batterieladestand und -status
- Anzeige für Hintergrundsprozesse `✦`
- Eine Menge [nützliche Informationen](/sections/index.md)
- Benutzerdefinierte [Informationen Ihrer Wahl](/advanced/creating-section)

Du brauchst noch mehr Funktionen? Bitte [öffne ein Ticket](https://github.com/spaceship-prompt/yspaceship-prompt/issues/new/choose) oder sende Pull Request.

## Erste Schritte

Die Installation von Spaceship ist einfach und schnell. Es ist konfigurierbar und einfach zu bedienen.

[Installation](/getting-started ""){.md-button} [Konfiguration](/config/intro ""){.md-button}

## Support

Trete unserer Community bei und erwäge einen Beitrag zum Projekt.

[:material-hand-heart: Contribute](/contribute ""){.md-button} [:fontawesome-brands-twitter: Twitter](https//twitter.com/SpaceshipPrompt ""){.md-button} [:fontawesome-brands-discord: Discord](https://discord.gg/NTQWz8Dyt9 ""){.md-button} [:fontawesome-brands-github: Diskussionen](https://github.com/spaceship-prompt/spaceship-prompt/discussions/ ""){.md-button}

## Lizenz

MIT © [Denys Dovhan](http://denysdovhan.com)
