---
template: index.html
title: Invite de commande Zsh minimaliste, puissante et extrêmement personnalisable
hide:
  - navigation
hero:
  title: Invite de commande Zsh minimaliste, puissante et extrêmement personnalisable
  subtitle: Combinant tout ce dont vous pourriez avoir besoin pour un travail pratique, sans complications inutiles, comme un véritable vaisseau spatial.
  install_button: Pour commencer
  source_button: Code source
features:
  - 
    title: Propre et simple
    image: /assets/images/what-is-needed.svg
    description: L'invite de commande n'est pas surchargée, elle ne montre que ce dont vous avez besoin dans l'instant (répertoire courant, branche git, etc.).
  - 
    title: Facile à configurer
    image: /assets/images/out-of-the-box.svg
    description: L'invite de commande fonctionne dès l'installation sans aucune configuration supplémentaire. Installez-le, utilisez-le.
  - 
    title: Configurable
    image: /assets/images/configurable.svg
    description: L'invite de commande est zéro configuration, mais si une personnalisation est nécessaire, elle fournit une interface facile à utiliser.
companies:
  title: Utilisé quotidiennement par les gens merveilleux de
  list:
    - 
      name: Wix
      logo: https://cdn.svgporn.com/logos/wix.svg
    - 
      name: Google
      logo: https://cdn.svgporn.com/logos/google.svg
    - 
      name: Siemens
      logo: https://upload.wikimedia.org/wikipedia/commons/5/5f/Siemens-logo.svg
    - 
      name: Microsoft
      logo: https://cdn.svgporn.com/logos/microsoft.svg
    - 
      name: Adobe
      logo: https://upload.wikimedia.org/wikipedia/commons/6/6e/Adobe_Corporate_logo.svg
    - 
      name: Docker
      logo: https://cdn.svgporn.com/logos/docker.svg
    - 
      name: Shopify
      logo: https://upload.wikimedia.org/wikipedia/commons/0/0e/Shopify_logo_2018.svg
    - 
      name: GitHub
      logo: https://cdn.svgporn.com/logos/github.svg
    - 
      name: Red Hat
      logo: https://cdn.svgporn.com/logos/redhat.svg
    - 
      name: Amazon Web Services
      logo: https://cdn.svgporn.com/logos/aws.svg
    - 
      name: Facebook
      logo: https://cdn.worldvectorlogo.com/logos/facebook-7.svg
    - 
      name: npm
      logo: https://cdn.svgporn.com/logos/npm.svg
    - 
      name: Unity Technologies
      logo: https://cdn.worldvectorlogo.com/logos/unity-technologies-logo.svg
    - 
      name: Angular
      logo: https://cdn.svgporn.com/logos/angular.svg
    - 
      name: Mozilla
      logo: https://cdn.svgporn.com/logos/mozilla.svg
    - 
      name: Framer
      logo: https://cdn.svgporn.com/logos/framer.svg
    - 
      name: Grammarly
      logo: https://cdn.svgporn.com/logos/grammarly.svg
    - 
      name: Skyscanner
      logo: https://upload.wikimedia.org/wikipedia/commons/9/94/Skyscanner_Logo_LockupHorizontal_SkyBlue_RGB.svg
    - 
      name: Node.js
      logo: https://cdn.svgporn.com/logos/nodejs.svg
    - 
      name: Vue Storefront
      logo: https://cdn.worldvectorlogo.com/logos/vue-storefront.svg
    - 
      name: Coinbase
      logo: https://cdn.worldvectorlogo.com/logos/coinbase-1.svg
    - 
      name: Suse
      logo: https://cdn.svgporn.com/logos/suse.svg
---

# Bienvenue à bord, Astronaute !

[![SWUbanner](https://raw.githubusercontent.com/vshymanskyy/StandWithUkraine/main/banner-direct-single.svg)](https://stand-with-ukraine.pp.ua)

<div class="terminal-demo">
  <script id="asciicast-513451" src="https://asciinema.org/a/513451.js" data-autoplay="true" data-loop="true" data-preload="true" async></script>
  <noscript>
    <object class="asciicast" type="image/svg+xml" data="/assets/images/spaceship-demo.svg">
      <img src="/assets/images/spaceship-demo.gif" alt="Demo Spaceship" />
    </object>
  </noscript>
</div>

## Fonctionnalités

**Spaceship** est une invite de commande Zsh superpuissante. Une invite de commande est ce que vous voyez lorsque vous entrez une commande. Cela peut afficher beaucoup d'astuces, vous faire gagner du temps et rendre l'expérience utilisateur agréable.

Voici quelques avant-goûts de ce que peut afficher **Spaceship**:

- Affichage du nom de l'hôte et de l'utilisateur
- Statuts du dépôt (Git et Mercurial sont supportés)
- Environnements d'exécution pour différents langages (Node.js, Rust, Python, Ruby, Swift, Go, PHP et bien d'autres)
- Version Docker, contexte Kubernetes et machine connectée
- Version du paquet (npm, lerna, cargo, composer et autres)
- Niveau et état de la batterie
- Indicateur pour les tâches en arrière-plan `✦`
- Beaucoup [d'informations utiles](/sections/index.md)
- [Informations personnalisées](/advanced/creating-section) de votre choix

Vous souhaitez plus de fonctionnalités ? [Ouvrez un ticket](https://github.com/spaceship-prompt/yspaceship-prompt/issues/new/choose) ou envoyez une pull request.

## Pour commencer

L'installation de Spaceship est simple et rapide. Spaceship est configurable et facile à utiliser.

[Installation](/getting-started ""){.md-button} [Configuration](/config/intro ""){.md-button}

## Support

Rejoignez notre communauté et envisagez de contribuer au projet.

[:material-hand-heart: Contribuer](/contribute ""){.md-button} [:fontawesome-brands-twitter: Twitter](https://twitter.com/SpaceshipPrompt ""){.md-button} [:fontawesome-brands-discord: Discord](https://discord.gg/NTQWz8Dyt9 ""){.md-button} [:fontawesome-brands-github: Discussions](https://github.com/spaceship-prompt/spaceship-prompt/discussions/ ""){.md-button}

## Licence

MIT © [Denys Dovhan](http://denysdovhan.com)
