---
template: index.html
title: Linha de comando Zsh minimalista, poderosa e extremamente personalizável
hide:
  - navigation
hero:
  title: Linha de comando Zsh minimalista, poderosa e extremamente personalizável
  subtitle: Combina tudo o que podemos precisar para um trabalho conveniente, sem complicações desnecessárias, como uma verdadeira nave espacial.
  install_button: Começar
  source_button: Código-fonte
features:
  - 
    title: Clara e simples
    image: /assets/images/what-is-needed.svg
    description: A linha de comando não é sobrecarregada, mostra apenas o que precisamos no momento (diretório atual, ramo da Git, etc.).
  - 
    title: Fácil de instalar
    image: /assets/images/out-of-the-box.svg
    description: A linha de comando funciona logo após a instalação, sem qualquer configuração adicional. instalemos e usamos.
  - 
    title: Configurável
    image: /assets/images/configurable.svg
    description: A linha de comando é de configuração zero, mas se uma personalização for necessária, esta fornece uma interface fácil de usar para personalização.
companies:
  title: Usada diariamente por pessoas maravilhosas na
  list:
    - 
      name: Wix
      logo: https://cdn.svgporn.com/logos/wix.svg
    - 
      name: Google
      logo: https://cdn.svgporn.com/logos/google.svg
    - 
      name: Siemens
      logo: https://upload.wikimedia.org/wikipedia/commons/5/5f/Siemens-logo.svg
    - 
      name: Microsoft
      logo: https://cdn.svgporn.com/logos/microsoft.svg
    - 
      name: Adobe
      logo: https://upload.wikimedia.org/wikipedia/commons/6/6e/Adobe_Corporate_logo.svg
    - 
      name: Docker
      logo: https://cdn.svgporn.com/logos/docker.svg
    - 
      name: Shopify
      logo: https://upload.wikimedia.org/wikipedia/commons/0/0e/Shopify_logo_2018.svg
    - 
      name: GitHub
      logo: https://cdn.svgporn.com/logos/github.svg
    - 
      name: Red Hat
      logo: https://cdn.svgporn.com/logos/redhat.svg
    - 
      name: Amazon Web Services
      logo: https://cdn.svgporn.com/logos/aws.svg
    - 
      name: Facebook
      logo: https://cdn.worldvectorlogo.com/logos/facebook-7.svg
    - 
      name: npm
      logo: https://cdn.svgporn.com/logos/npm.svg
    - 
      name: Unity Technologies
      logo: https://cdn.worldvectorlogo.com/logos/unity-technologies-logo.svg
    - 
      name: Angular
      logo: https://cdn.svgporn.com/logos/angular.svg
    - 
      name: Mozilla
      logo: https://cdn.svgporn.com/logos/mozilla.svg
    - 
      name: Framer
      logo: https://cdn.svgporn.com/logos/framer.svg
    - 
      name: Grammarly
      logo: https://cdn.svgporn.com/logos/grammarly.svg
    - 
      name: Skyscanner
      logo: https://upload.wikimedia.org/wikipedia/commons/9/94/Skyscanner_Logo_LockupHorizontal_SkyBlue_RGB.svg
    - 
      name: Node.js
      logo: https://cdn.svgporn.com/logos/nodejs.svg
    - 
      name: Vue Storefront
      logo: https://cdn.worldvectorlogo.com/logos/vue-storefront.svg
    - 
      name: Coinbase
      logo: https://cdn.worldvectorlogo.com/logos/coinbase-1.svg
    - 
      name: Suse
      logo: https://cdn.svgporn.com/logos/suse.svg
---

# Saudações, astronauta!

[![SWUbanner](https://raw.githubusercontent.com/vshymanskyy/StandWithUkraine/main/banner-direct-single.svg)](https://stand-with-ukraine.pp.ua)

<div class="terminal-demo">
  <script id="asciicast-513451" src="https://asciinema.org/a/513451.js" data-autoplay="true" data-loop="true" data-preload="true" async></script>
  <noscript>
    <object class="asciicast" type="image/svg+xml" data="/assets/images/spaceship-demo.svg">
      <img src="/assets/images/spaceship-demo.gif" alt="Demonstração da Spaceship" />
    </object>
  </noscript>
</div>

## Funcionalidades

**Spaceship** é uma linha de comando Zsh superpoderosa. Linha de comando é o que vemos quando digitamos um comando. Esta pode mostrar muitas dicas úteis, poupando o nosso tempo e tornando a experiência do utilizador suave e agradável.

Eis alguns exemplos do que a **Spaceship** pode mostrar:

- Exibição inteligente do nome de hospedeiro e do nome do utilizador
- Estados dos repositórios (são suportados Git e Mercurial)
- Ambientes de execução para várias linguagens (Node, Rust, Python, Ruby, Swift, Go, PHP e muitas outras)
- Versão da Docker, contexto de Kubernetes e máquina conectada
- Versão do gestor de pacote (npm, lerna, cargo, composer, e outros)
- Nível e estado da bateria
- Indicador para trabalhos em segundo plano `✦`
- [Muitas informações úteis](/sections/index.md)
- [Informações personalizadas à nossa escolha](/advanced/creating-section)

Queremos mais funcionalidades? Podemos [abrir um problema](https://github.com/spaceship-prompt/yspaceship-prompt/issues/new/choose) ou enviar um pedido de atualização de repositório.

## Começar

A instalação da Spaceship é simples e rápida. É configurável e fácil de usar.

[Instalação](/getting-started ""){.md-button} [Configuração](/config/intro ""){.md-button}

## Suporte

Podemos juntar-nos a comunidade e considerar colaborar com o projeto.

[:material-hand-heart: Colaborar](/contribute ""){.md-button} [:fontawesome-brands-twitter: Twitter](https://twitter.com/SpaceshipPrompt ""){.md-button} [:fontawesome-brands-discord: Discord](https://discord.gg/NTQWz8Dyt9 ""){.md-button} [:fontawesome-brands-github: Discussões](https://github.com/spaceship-prompt/spaceship-prompt/discussions/ ""){.md-button}

## Licença

MIT © [Denys Dovhan](http://denysdovhan.com)
