---
template: index.html
title: Мінімалістичний, потужний та надзвичайно гнучкий командний рядок Zsh
hide:
  - navigation
hero:
  title: Мінімалістичний, потужний та надзвичайно гнучкий командний рядок Zsh
  subtitle: Він поєднує в собі все, що вам може знадобитися для зручної роботи без зайвих ускладнень. Неначе справжній космічний корабель.
  install_button: Початок роботи
  source_button: Вихідний код
features:
  - 
    title: Охайний та простий
    image: /assets/images/what-is-needed.svg
    description: Командний рядок не перевантажений, а показує тільки те, що вам потрібно в даний момент (поточна директорія, гілка git тощо).
  - 
    title: Просто встановлюється
    image: /assets/images/out-of-the-box.svg
    description: Командний рядок працює відразу після встановлення, без додаткової конфігурації. Встановлюйте та користуйтесь.
  - 
    title: Легко налаштовується
    image: /assets/images/configurable.svg
    description: Командний рядок не потребує конфігурації, однак надає зрозумілий та простий інтерфейс для налаштувань.
companies:
  title: Щоденно використовуються дивовижними людьми з
  list:
    - 
      name: Wix
      logo: https://cdn.svgporn.com/logos/wix.svg
    - 
      name: Google
      logo: https://cdn.svgporn.com/logos/google.svg
    - 
      name: Siemens
      logo: https://upload.wikimedia.org/wikipedia/commons/5/5f/Siemens-logo.svg
    - 
      name: Microsoft
      logo: https://cdn.svgporn.com/logos/microsoft.svg
    - 
      name: Adobe
      logo: https://upload.wikimedia.org/wikipedia/commons/6/6e/Adobe_Corporate_logo.svg
    - 
      name: Docker
      logo: https://cdn.svgporn.com/logos/docker.svg
    - 
      name: Shopify
      logo: https://upload.wikimedia.org/wikipedia/commons/0/0e/Shopify_logo_2018.svg
    - 
      name: GitHub
      logo: https://cdn.svgporn.com/logos/github.svg
    - 
      name: Red Hat
      logo: https://cdn.svgporn.com/logos/redhat.svg
    - 
      name: Amazon Web Services
      logo: https://cdn.svgporn.com/logos/aws.svg
    - 
      name: Facebook
      logo: https://cdn.worldvectorlogo.com/logos/facebook-7.svg
    - 
      name: npm
      logo: https://cdn.svgporn.com/logos/npm.svg
    - 
      name: Unity Technologies
      logo: https://cdn.worldvectorlogo.com/logos/unity-technologies-logo.svg
    - 
      name: Angular
      logo: https://cdn.svgporn.com/logos/angular.svg
    - 
      name: Mozilla
      logo: https://cdn.svgporn.com/logos/mozilla.svg
    - 
      name: Framer
      logo: https://cdn.svgporn.com/logos/framer.svg
    - 
      name: Grammarly
      logo: https://cdn.svgporn.com/logos/grammarly.svg
    - 
      name: Skyscanner
      logo: https://upload.wikimedia.org/wikipedia/commons/9/94/Skyscanner_Logo_LockupHorizontal_SkyBlue_RGB.svg
    - 
      name: Node.js
      logo: https://cdn.svgporn.com/logos/nodejs.svg
    - 
      name: Vue Storefront
      logo: https://cdn.worldvectorlogo.com/logos/vue-storefront.svg
    - 
      name: Coinbase
      logo: https://cdn.worldvectorlogo.com/logos/coinbase-1.svg
    - 
      name: Suse
      logo: https://cdn.svgporn.com/logos/suse.svg
---

# Ласкаво просимо на борт, астронавте!

[![SWUbanner](https://raw.githubusercontent.com/vshymanskyy/StandWithUkraine/main/banner-direct-single.svg)](https://stand-with-ukraine.pp.ua)

<div class="terminal-demo">
  <script id="asciicast-513451" src="https://asciinema.org/a/513451.js" data-autoplay="true" data-loop="true" data-preload="true" async></script>
  <noscript>
    <object class="asciicast" type="image/svg+xml" data="/assets/images/spaceship-demo.svg">
      <img src="/assets/images/spaceship-demo.gif" alt="Демо Spaceship" />
    </object>
  </noscript>
</div>

## Можливості

**Spaceship** — це надпотужний командний рядок для Zsh. Командний рядок — це те, що ви бачите у терміналі, перед командою, яку вводите. Він може показувати багато корисних порад, заощаджуючи час та роблячи користування легким та приємним.

Ось деякі цікаві штуки, які **Spaceship** вміє показувати:

- Розумне ім'я хоста і відображення імені користувача
- Статуси репозиторіїв (Git та Mercurial підтримуються)
- Середовища середовища для різних мов (Node.js, Rust, Python, Ruby, Swift, Go, PHP та багато інших)
- Docker версія, контекст Kubernetes і під'єднана машину
- Версія пакунку (npm, lerna, cargo, редактор та інші)
- Поточний рівень заряду батареї та її статус
- Індикатор для задач, що виконуються у фоновому режимі `✦`
- Багато [корисної інформації](/sections/index.md)
- Додатково [інформація на ваш вибір](/advanced/creating-section)

Бажаєте більше можливостей? Будь ласка, [відкрийте задачу](https://github.com/spaceship-prompt/yspaceship-prompt/issues/new/choose) або надішліть пул-реквест.

## Початок роботи

Встановлення Spaceship просте та швидке. Він легко конфігурується і є простим у використанні.

[Встановлення](/getting-started ""){.md-button} [Конфігурація](/config/intro ""){.md-button}

## Підтримка

Приєднайтеся до нашої спільноти або спробуйте зробити свій внесок у проєкт.

[:material-hand-heart: Долучитись](/contribute ""){.md-button} [:fontawesome-brands-twitter: Twitter](https://twitter.com/SpaceshipPrompt ""){.md-button} [:fontawesome-brands-discord: Discord](https://discord.gg/NTQWz8Dyt9 ""){.md-button} [:fontawesome-brands-github: Discussions](https://github.com/spaceship-prompt/spaceship-prompt/discussions/ ""){.md-button}

## Ліцензія

MIT © [Денис Довгань](http://denysdovhan.com)
