---
template: index.html
title: 简洁、强大和极易定制的 Zsh 提示符
hide:
  - navigation
hero:
  title: 简洁、强大和极易定制的 Zsh 提示符
  subtitle: 它将你可能需要的方便工作的一切结合起来，而不会造成不必要的麻烦。 像真正的宇宙飞船一样。
  install_button: 快速上手
  source_button: 源代码
features:
  -
    title: 清晰而简洁
    image: /assets/images/what-is-needed.svg
    description: 该提示符不臃肿，它只显示当前您需要的内容 (当前目录，git 分支，等等)。
  -
    title: 轻松设定
    image: /assets/images/out-of-the-box.svg
    description: 提示符在安装后即可正常工作，没有任何附加配置。 安装并使用它。
  -
    title: 可配置
    image: /assets/images/configurable.svg
    description: 该提示符是零配置的，但如果需要自定义的话，它将提供一个易于自定义的接口。
companies:
  title: 每天被惊人的民俗使用
  list:
    -
      name: Wix
      logo: https://cdn.svgporn.com/logos/wix.svg
    -
      name: Google
      logo: https://cdn.svgporn.com/logos/google.svg
    -
      name: Siemens
      logo: https://upload.wikimedia.org/wikipedia/commons/5/5f/Siemens-logo.svg
    -
      name: Microsoft
      logo: https://cdn.svgporn.com/logos/microsoft.svg
    -
      name: Adobe
      logo: https://upload.wikimedia.org/wikipedia/commons/6/6e/Adobe_Corporate_logo.svg
    -
      name: Docker
      logo: https://cdn.svgporn.com/logos/docker.svg
    -
      name: Shopify
      logo: https://upload.wikimedia.org/wikipedia/commons/0/0e/Shopify_logo_2018.svg
    -
      name: GitHub
      logo: https://cdn.svgporn.com/logos/github.svg
    -
      name: Red Hat
      logo: https://cdn.svgporn.com/logos/redhat.svg
    -
      name: Amazon Web Services
      logo: https://cdn.svgporn.com/logos/aws.svg
    -
      name: Facebook
      logo: https://cdn.worldvectorlogo.com/logos/facebook-7.svg
    -
      name: npm
      logo: https://cdn.svgporn.com/logos/npm.svg
    -
      name: Unity Technologies
      logo: https://cdn.worldvectorlogo.com/logos/unity-technologies-logo.svg
    -
      name: Angular
      logo: https://cdn.svgporn.com/logos/angular.svg
    -
      name: Mozilla
      logo: https://cdn.svgporn.com/logos/mozilla.svg
    -
      name: Framer
      logo: https://cdn.svgporn.com/logos/framer.svg
    -
      name: Grammarly
      logo: https://cdn.svgporn.com/logos/grammarly.svg
    -
      name: Skyscanner
      logo: https://upload.wikimedia.org/wikipedia/commons/9/94/Skyscanner_Logo_LockupHorizontal_SkyBlue_RGB.svg
    -
      name: Node.js
      logo: https://cdn.svgporn.com/logos/nodejs.svg
    -
      name: Vue Storefront
      logo: https://cdn.worldvectorlogo.com/logos/vue-storefront.svg
    -
      name: Coinbase
      logo: https://cdn.worldvectorlogo.com/logos/coinbase-1.svg
    -
      name: Suse
      logo: https://cdn.svgporn.com/logos/suse.svg
---

# 欢迎加入，宇航员！

[![SWUbanner](https://raw.githubusercontent.com/vshymanskyy/StandWithUkraine/main/banner-direct-single.svg)](https://stand-with-ukraine.pp.ua)

<div class="terminal-demo">
  <script id="asciicast-513451" src="https://asciinema.org/a/513451.js" data-autoplay="true" data-loop="true" data-preload="true" async></script>
  <noscript>
    <object class="asciicast" type="image/svg+xml" data="/assets/images/spaceship-demo.svg">
      <img src="/assets/images/spaceship-demo.gif" alt="Spaceship demo" />
    </object>
  </noscript>
</div>

## 特性

**Spaceship** is a superpowered Zsh prompt. Prompt is what you see when you type a command. It can show a lot of useful tips, saving your time and making user experience smooth and pleasant.

Here are some sneak picks of what **Spaceship** can show:

- Clever hostname and username displaying
- Repository statuses (Git and Mercurial are supported)
- Runtime environments for various languages (Node.js, Rust, Python, Ruby, Swift, Go, PHP and many others)
- Docker version, Kubernetes context and connected machine
- Package version (npm, lerna, cargo, composer and others)
- Battery level and status
- Indicator for jobs in the background `✦`
- A lot of [useful information](/sections/index.md)
- Custom [information of your choice](/advanced/creating-section)

需要更多功能？ 请 [提出 issue](https://github.com/spaceship-prompt/spaceship-prompt/issues/new/choose)，描述你的问题，我们将乐意帮助你。

## 快速上手

Installing Spaceship is simple and quick. It's configurable and easy to use. It's configurable and easy to use. 它是可配置的，易于使用。

[Installation](/getting-started ""){.md-button} [Configuration](/config/intro ""){.md-button}

## 支持

Join our community and consider contributing to the project.

[:material-hand-heart: Contribute](/contribute ""){.md-button} [:fontawesome-brands-twitter: Twitter](https//twitter.com/SpaceshipPrompt ""){.md-button} [:fontawesome-brands-discord: Discord](https://discord.gg/NTQWz8Dyt9 ""){.md-button} [:fontawesome-brands-github: Discussions](https://github.com/spaceship-prompt/spaceship-prompt/discussions/ ""){.md-button}

## 许可证

MIT © [Denys Dovhan](http://denysdovhan.com)
