# Ім’я хоста `host`

Секція `хост` показує назву хосту поточного компʼютера.

Стандартно, секція показується лише коли машина підключена через SSH (значення `$SSH_CONNECTION` не порожнє).

## Завжди показувати ім'я хоста

Якщо ви хочете, щоб назва хосту завжди показувалась, встановіть значення параметра `SPACESHIP_HOST_SHOW` в `always`.

```zsh title=".zshrc"
# Це дозволяє завжди показувати назву хосту
SPACESHIP_HOST_SHOW="always"
```

## Відображення повного хоста

Стандартно, назва хосту показується у скороченій формі (`%m`). Якщо ви хочете побачити всю інформацію (`%M`), встановіть параметр `SPACESHIP_HOST_SHOW_FULL` в `true`.

```zsh title=".zshrc"
# Це показує повну інформацію про хост
SPACESHIP_HOST_SHOW_FULL=true
```

## Опції

| Змінна                     |          За замовчуванням          | Пояснення                                        |
|:-------------------------- |:----------------------------------:| ------------------------------------------------ |
| `SPACESHIP_HOST_SHOW`      |               `true`               | Показувати секцію (`true`, `false` або `always`) |
| `SPACESHIP_HOST_SHOW_FULL` |              `false`               | Показувати повне ім'я хоста                      |
| `SPACESHIP_HOST_PREFIX`    |               `at·`                | Префікс секції                                   |
| `SPACESHIP_HOST_SUFFIX`    | `$SPACESHIP_PROMPT_DEFAULT_SUFFIX` | Суфікс секції                                    |
| `SPACESHIP_HOST_COLOR`     |               `blue`               | Колір секції                                     |
| `SPACESHIP_HOST_COLOR_SSH` |              `green`               | Колір секції при підключенні SSH                 |
